NAUTY-GENBG(1)

NAME
nauty-genbg - generate small bicoloured graphs

SYNOPSIS
genbg [-c -ugs -vq -lzF] [-Z#] [-D#] [-A] [-d#|-d#:#] [-D#|-D#:#] n1 n2 [mine[:maxe]] [res/mod] [file]

DESCRIPTION

    Find all bicoloured graphs of a specified class.

n1  : the number of vertices in the first class

n2  : the number of vertices in the second class

    mine:maxe : a range for the number of edges

    #:0 means '# or more' except in the case 0:0

    res/mod : only generate subset res out of subsets 0..mod-1

    file : the name of the output file (default stdout)

-c  : only write connected graphs

-z  : all the vertices in the second class must have

    different neighbourhoods

-F  : the vertices in the second class must have at least two

    neighbours of degree at least 2

-L  : there is no vertex in the first class whose removal leaves

    the vertices in the second class unreachable from each other

-Y# : two vertices in the second class must have at least # common nbrs

-Z# : two vertices in the second class must have at most # common nbrs

-A  : no vertex in the second class has a neighbourhood which is a

    subset of another vertex's neighbourhood in the second class

-D# : specify an upper bound for the maximum degree

Example: -D6.
    You can also give separate maxima for the

    two parts, for example: -D5:6

-d# : specify a lower bound for the minimum degree.

    Again, you can specify it separately for the two parts: -d1:2

-g  : use graph6 format for output (default)

-s  : use sparse6 format for output

-a  : use Greechie diagram format for output

-u  : do not output any graphs, just generate and count them

-v  : display counts by number of edges to stderr

-l  : canonically label output graphs (using the 2-part colouring)

-q  : suppress auxiliary output

    See program text for much more information.